Is there an OR condition for requires:?

Scott Gonyea scott at aitrus.org
Wed Jul 18 05:01:16 UTC 2012


Shouldn't the nc RPM "provides" the netcat utility?

On Tue, Jul 17, 2012 at 4:10 PM, doc <drplastic99 at yahoo.com> wrote:

> For Debian packages, their Depends: tag allows for an "or" condition
> during installation, such as
>
> Depends: a, b, c | d, e
>
> Does something like that exist for the requires: tag in RPM?   Google
> hasn't been much help.   This situation is I have one rpm that I want to
> use for SuSE and CentOS/RedHat.   The problem is on CentOS/RedHat the
> requirement is "nc."  On SuSE, nc is know as  "netcat."
>
> Hence,  I'm looking for something similar to the following:
>
> requires:  nc | netcat
>
>
>
> _______________________________________________
> Rpm-list mailing list
> Rpm-list at lists.rpm.org
> http://lists.rpm.org/mailman/listinfo/rpm-list
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.rpm.org/pipermail/rpm-list/attachments/20120717/36bf2743/attachment.html>


More information about the Rpm-list mailing list